#!/usr/bin/perl
use strict;
use Carp;
use vars qw($value $name);

# extract a named parameter value form a text header file

die  unless $ARGV[0];
$name=$ARGV[0];
$value="";

while ($_=<STDIN>) {
 if (m/[\s]+\Q$name\E[\s]*=[\s]*([\S]+)[\s]*$/g) {$value=$1;}
 if (m/^\Q$name\E[\s]*=[\s]*([\S]+)[\s]*$/g) {$value=$1;}
}
print $value;
