program persist
use io
use persist_defs
implicit none


type(header_type) :: h
type(pars) :: p
! aux
integer :: i, j, k

  call h%out('test_header')

  p%nx=100; p%ny=300; p%nz=50
  p%nt = 4
  p%x0=-100; p%y0=500; p%z0=0
  p%dt = .01
  allocate(p%vals1d(p%ny))
  allocate(p%vals3d(p%ny,p%nz,p%nt))

  do i=1,p%ny
    p%vals1d(i)=real(i)
    do j=1,p%nz
      do k=1,p%nt
        p%vals3d(i,j,k)=real(i+j+k)
      end do
    end do
  end do

  call p%store(h)
  call h%close()
  deallocate(p%vals1d)
  deallocate(p%vals3d)
  write (0,*) '================='
! erase
  p%nx=0;p%ny=0;p%nz=0;p%nt=0;p%x0=0;p%y0=0;p%dt=0
  call h%in('test_header')
  call p%load(h)

  write (0,*) p%vals1d
  write (0,*) p%nx, p%ny, p%nz, p%nt, p%x0, p%y0, p%z0, p%dt
  call h%close()


end program persist

