! LibLs driver programme
!
!
module driver_defs
!
!
use simple_vector
use base_oper

implicit none

type, public,extends(ls_oper) :: my_oper
contains
        procedure :: apply => oper
end type my_oper

public :: oper

integer, public, parameter :: N = 100

real, dimension(1:N,1:N), public :: mtrx



contains

! operator
subroutine oper(this, m, d, adj) 
implicit none
class(my_oper), intent(inout) :: this
class(ls_vector), intent(inout) :: m, d
logical, intent(in) :: adj
integer :: i,j

select type (m)
class is (vector)
  select type(d)
  class is (vector)
    select type(m)
    class is (vector)
      if (adj) then
        call m%zero();
        do i=1,N
          do j=1,N
            m%val(i)=m%val(i)+mtrx(j,i)*d%val(j)
          end do
        end do
      else

        call d%zero();
        do j=1,N
          do i=1,N
            d%val(i)=d%val(i)+mtrx(i,j)*m%val(j)
          end do
        end do
      end if
    class default
    end select
  class default
  return
  end select
end select

end subroutine oper

end module driver_defs
